Package org.springframework.security.web.reactive.result.view

# Class CsrfRequestDataValueProcessor

java.lang.Object
org.springframework.security.web.reactive.result.view.CsrfRequestDataValueProcessor

All Implemented Interfaces:
  `org.springframework.web.reactive.result.view.RequestDataValueProcessor`

public class CsrfRequestDataValueProcessor extends Object implements org.springframework.web.reactive.result.view.RequestDataValueProcessor

Since:
  5.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_CSRF_ATTR_NAME`
The default request attribute to look for a `CsrfToken`.

## Constructor Summary

Constructors
Constructor
Description
`CsrfRequestDataValueProcessor()`

## Method Summary

Modifier and Type
Method
Description
`Map<String,String>`
`getExtraHiddenFields(org.springframework.web.server.ServerWebExchange exchange)`
`String`
`processAction(org.springframework.web.server.ServerWebExchange exchange, String action, String httpMethod)`
`String`
`processFormFieldValue(org.springframework.web.server.ServerWebExchange exchange, String name, String value, String type)`
`String`
`processUrl(org.springframework.web.server.ServerWebExchange exchange, String url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_CSRF_ATTR_NAME

public static final String DEFAULT_CSRF_ATTR_NAME
The default request attribute to look for a `CsrfToken`.

See Also:
  - Constant Field Values

## Constructor Details

### CsrfRequestDataValueProcessor

public CsrfRequestDataValueProcessor()

## Method Details

### processAction

public String processAction(org.springframework.web.server.ServerWebExchange exchange, String action, String httpMethod)

Specified by:
  `processAction` in interface `org.springframework.web.reactive.result.view.RequestDataValueProcessor`

### processFormFieldValue

public String processFormFieldValue(org.springframework.web.server.ServerWebExchange exchange, String name, String value, String type)

Specified by:
  `processFormFieldValue` in interface `org.springframework.web.reactive.result.view.RequestDataValueProcessor`

### getExtraHiddenFields

@NonNull public Map<String,String> getExtraHiddenFields(org.springframework.web.server.ServerWebExchange exchange)

Specified by:
  `getExtraHiddenFields` in interface `org.springframework.web.reactive.result.view.RequestDataValueProcessor`

### processUrl

public String processUrl(org.springframework.web.server.ServerWebExchange exchange, String url)

Specified by:
  `processUrl` in interface `org.springframework.web.reactive.result.view.RequestDataValueProcessor`